% use book for formating with header and footer have to be commented out
% \documentclass{book}
% use standalone to export single file tables as PDF if not used comment the Environment single in \NewDocumentEnvironment{ParallelSession}
\documentclass[multi=single,preview]{standalone}
\usepackage[a4paper, left=15mm, top=20mm, right=10mm, bottom=20mm, nomarginpar]{geometry}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage[utf8x]{inputenc}
\usepackage{mathtools}
\usepackage{mathabx}
\usepackage[OT1]{fontenc}
\usepackage{siunitx}
\usepackage{fancyhdr}
\usepackage{graphicx}
\usepackage{multirow}
\usepackage{array}
\usepackage{tabularx}
\newcolumntype{L}[1]{>{\raggedright\arraybackslash}p{#1}}
\newcolumntype{C}[1]{>{\centering\arraybackslash}p{#1}}
\newcolumntype{R}[1]{>{\raggedleft\arraybackslash}p{#1}}
\renewcommand{\arraystretch}{1.05}
\usepackage[table]{xcolor}
\usepackage{xparse}


% Colour AIP logo
% dark blue: rgba(23,90,154,255)
% light blue: rgba(123,183,219,255)
\definecolor{DarkBlueAIP}{RGB}{23, 90, 154}
\definecolor{LightBlueAIP}{RGB}{123, 183, 219}

%% Environment for a Parallel Sessions pages:
% takes 3 inputs:
% 1. (Optional): height between two sessions
% 2. (Optional): If to print header Boolean Default: \BooleanTrue
% 3. Name of Session (Format: "Parallel Sessions 1")
% 4. Day and time (Format: "Day, From-To")
% for changing background colour of head change \rowcolor{...}
\NewDocumentEnvironment{ParallelSession}{O{1em} O{\BooleanTrue} m m}
{
\begin{single}
\begin{center}
\begin{tabular}[t]{
  | L{0.22\textwidth}
  | L{0.22\textwidth}
  | L{0.22\textwidth}
  | L{0.22\textwidth}
  |}
\IfBooleanT{#2}{
  \rowcolor{DarkBlueAIP}
  \multicolumn{4}{c}{}\\[-#1]
  \rowcolor{DarkBlueAIP}
  \multicolumn{2}{L{0.47\textwidth}@{\hskip 0mm}}{\huge{\textbf{#3}}} &
  \multicolumn{2}{R{0.47\textwidth}}{\huge{\textbf{#4}}} \\[\dimexpr(1em-#1)]
  \multicolumn{4}{c}{}\\[-#1]
  }
}
{
\end{tabular}
\end{center}
\end{single}
\newpage
}

%% command for one session:
% 1. (optional) Presenter 1
% 2. (optional) Presenter 2
% 3. (optional) Presenter 3
% 4. (optional) Presenter 4
% 5. (optional) Chair/Organizers of Session
% 6. Titel of Session
% 7. Room where it takes place
\NewExpandableDocumentCommand \Session {o o o o o m m }
{
\hline
\multicolumn{4}{|L{0.90\textwidth}|}{\textbf{#6}} \\
\multicolumn{3}{|L{0.68\textwidth}}{\textbf{#5}} &
\multicolumn{1}{R{0.22\textwidth}|}{\textbf{#7}} \\ \hline
#1 & #2 & #3 & #4  \\ \hline
\multicolumn{4}{c}{}\\[-1em]
}


\begin{document}
% \pagestyle{fancy}
% % clear all header fields
% \fancyhead{}
% \setlength\headheight{1cm}
% \fancyhead[RO,LE]{\includegraphics[height=\headheight]{logo-left}}
% \fancyhead[LO,RE]{\textbf{$\mathbf{11^{\text{th}}}$ Applied Inverse Problems Conference}}
% \fancyfoot{} % clear all footer fields
% \fancyfoot[LE,RO]{\thepage}

\input{Sessions.tex}

\end{document}
